# Skript pro modelovani dat prechodoveho jevu v RLC obvodu pri podkritickem
# tlumeni. 
# Verze 2023-10-02, viz rovnice (6.41) ve skriptech (k aktualnimu datu)
# se substituci -omega_d*t0=phi
# Skript volany z programu Gnuplot
# Uziti: load 'model_podkriticke.gp'
#
# Pouziva vstupni soubor fit_podkriticke_start.par se vstupnimi
# parametry  modelove funkce. Parametry maji byt iterativne meneny a
# tento skript spousten dokud nejsou priblizne nalezeny vhodne
# parametry.
# Pozn. Je mozne, ze bude treba pouzit whodny vystupni terminal
# viz prik. radek >set terminal qt ...
# qt muze byt treba nahradit za wxt nebo windows. Dostupne terminaly
# jsou vypsany po zadani prikazu
# print GPVAL_TERMINALS

# Inicializace, upravte dle potreby:
# soubor s modelovymi parametry
filenam_initpar='fit_podkriticke_start.par'
# soubor s daty z osciloskopu pro podkriticke tlumeni
filenam_data='podkriticke.csv'
# modelova funkce
f(x) = UC5*exp(-(alpha/1.0e-2)*(x-t0/1.0e2))*cos((omega_d/1.0e-3)*(x-t0/1.0e2))+Uf

# Vlastni vykresleni dat a modelu
set datafile separator ','
load filenam_initpar
set xrange [t0/1.0e2-0.0011:*]
set terminal qt 0 font "Sans,12" linewidth 2
set output
set xlabel "t (s)"
set ylabel "U_2 (V)"
set samples 2000
plot filenam_data every ::3 u 1:3 with dots, f(x) with lines




